-- drop LOGICAL_DELETE_IND from FCFKC.FSK_ALERT for HF3

ALTER TABLE SCHKC.FSK_ALERT DROP COLUMN LOGICAL_DELETE_IND
GO

CREATE OR ALTER VIEW SCHBU1.FSK_ALERT AS SELECT * FROM SCHKC.FSK_ALERT
GO


-- Add missing PK to alerted_entity if missing, PK could possibly have been created with a non standard name so don't check
IF NOT EXISTS(select * from sys.objects where type='PK' and parent_object_id = OBJECT_ID ('SCHKC.FSK_ALERTED_ENTITY'))
BEGIN
ALTER TABLE SCHKC.FSK_ALERTED_ENTITY
    ADD CONSTRAINT XPKFSK_ALERTED_ENTITY PRIMARY KEY CLUSTERED (alerted_entity_level_code, alerted_entity_number)
END

-- Add foreign keys if missing
IF NOT EXISTS(select * from sys.objects where type = 'F' and name = 'R_370' and parent_object_id = OBJECT_ID ('SCHKC.FSK_ALERT_TRANSACTION'))
BEGIN
ALTER TABLE SCHKC.FSK_ALERT_TRANSACTION
    ADD  CONSTRAINT R_370 FOREIGN KEY (alerted_entity_level_code, alerted_entity_number) REFERENCES SCHKC.FSK_ALERTED_ENTITY (alerted_entity_level_code, alerted_entity_number)
END

IF NOT EXISTS(select * from sys.objects where type = 'F' and name = 'R_404' and parent_object_id = OBJECT_ID ('SCHKC.FSK_ENTITY_TRANSACTION'))
BEGIN
ALTER TABLE SCHKC.FSK_ENTITY_TRANSACTION
    ADD  CONSTRAINT R_404 FOREIGN KEY (alerted_entity_level_code, alerted_entity_number) REFERENCES SCHKC.FSK_ALERTED_ENTITY (alerted_entity_level_code, alerted_entity_number)
END

IF NOT EXISTS(select * from sys.objects where type = 'F' and name = 'R_369' and parent_object_id = OBJECT_ID ('SCHKC.FSK_ENTITY_TX_AGG'))
BEGIN
ALTER TABLE SCHKC.FSK_ENTITY_TX_AGG
    ADD  CONSTRAINT R_369 FOREIGN KEY (alerted_entity_level_code, alerted_entity_number) REFERENCES SCHKC.FSK_ALERTED_ENTITY (alerted_entity_level_code, alerted_entity_number)
END

